summaryrefslogtreecommitdiffstats
path: root/system/google-fonts/google-fonts.SlackBuild
diff options
context:
space:
mode:
author Fernando Lopez Jr2017-09-08 17:54:45 +0200
committer David Spencer2017-09-08 18:36:59 +0200
commit49bf6be3c4e48344a6ae679ea59b5fd39e951ad4 (patch)
treea9486a6b08ae672f9841b959b30db10cbc16ca0b /system/google-fonts/google-fonts.SlackBuild
parentd6b4b7ce1c72ffd1b8fee655a0b6676ff0a04efd (diff)
downloadslackbuilds-49bf6be3c4e48344a6ae679ea59b5fd39e951ad4.tar.gz
system/google-fonts: Added (complete collection from Google Fonts).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'system/google-fonts/google-fonts.SlackBuild')
-rw-r--r--system/google-fonts/google-fonts.SlackBuild67
1 files changed, 67 insertions, 0 deletions
diff --git a/system/google-fonts/google-fonts.SlackBuild b/system/google-fonts/google-fonts.SlackBuild
new file mode 100644
index 0000000000..7686323efa
--- /dev/null
+++ b/system/google-fonts/google-fonts.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for google-fonts
+
+# Copyright 2017 Fernando Lopez Jr. <fernando.lopezjr@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=google-fonts
+VERSION=${VERSION:-20170830}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=fonts
+COMMIT=${COMMIT:-8382674661d70b35dcfec78c7d4b705685ed6a4f}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM
+tar xvf $CWD/$SRCNAM-$COMMIT.tar.gz
+cd $SRCNAM-$COMMIT
+chown -R root:root .
+find -L . \
+ -type d -exec chmod 755 {} \; -o \
+ -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/fonts/TTF
+find . -iname '*ttf' -exec mv '{}' $PKG/usr/share/fonts/TTF/ \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS CONTRIBUTING.md CONTRIBUTORS README.md TRIVIA.md $PKG/usr/doc/$PRGNAM-$VERSION
+find apache ofl ufl \( -name '*.html' -o -name '*.txt' \) \
+ -exec install -D -m0644 {} $PKG/usr/doc/$PRGNAM-$VERSION/{} \;
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}